#! /bin/sh

currentPath=`pwd`
path=$currentPath/`dirname $0`

# cleaning project
rm -fr build
rm -fr src/generated
mkdir build

cd src

java -jar ../nomad-module-generator-0.1.0-full.jar -config $NOMAD_MODULE_CONFIG

cd $path

# the sequence of commands to execute (the order is important)
libtoolize --force
aclocal -I config -I m4 --install
autoconf
automake --gnu --add-missing


export CXXFLAGS="$CXXFLAGS -Wall -Wconversion -O2 -g -pthread"

cd build
../configure --prefix=$NOMAD_HOME/mod
